## FolksEmailFieldDetails

FolksEmailFieldDetails — Object representing a email address that can have some parameters associated with it.

## Types and Values

#define | FOLKS_TYPE_EMAIL_FIELD_DETAILS
struct | FolksEmailFieldDetails
struct | FolksEmailFieldDetailsClass
| FolksEmailDetails
struct | FolksEmailDetailsIface

## Description

See FolksAbstractFieldDetails for details on common parameter names and values.

## Functions

## Types and Values

### FOLKS_TYPE_EMAIL_FIELD_DETAILS

    #define FOLKS_TYPE_EMAIL_FIELD_DETAILS (folks_email_field_details_get_type ())

The type for FolksEmailFieldDetails.

### struct FolksEmailFieldDetails

    struct FolksEmailFieldDetails {
    	FolksAbstractFieldDetails parent_instance;
    	FolksEmailFieldDetailsPrivate * priv;
    };

Object representing a email address that can have some parameters associated with it.

See FolksAbstractFieldDetails for details on common parameter names and values.

Since: 0.6.0

### struct FolksEmailFieldDetailsClass

    struct FolksEmailFieldDetailsClass {
    	FolksAbstractFieldDetailsClass parent_class;
    };

The class structure for `FOLKS_TYPE_EMAIL_FIELD_DETAILS`. All the fields in this structure are private and should never be accessed directly.

#### Members

### FolksEmailDetails

    typedef struct _FolksEmailDetails FolksEmailDetails;

Interface for classes that have email addresses, such as FolksPersona and FolksIndividual.

Since: 0.3.5

### struct FolksEmailDetailsIface

    struct FolksEmailDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_email_addresses) (FolksEmailDetails* self, GeeSet* email_addresses, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_email_addresses_finish) (FolksEmailDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_email_addresses) (FolksEmailDetails* self);
    	void (*set_email_addresses) (FolksEmailDetails* self, GeeSet* value);
    };

Interface for creating FolksEmailDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_email_addresses` () | virtual method called by ``folks_email_details_change_email_addresses()`` |
`change_email_addresses_finish` () | asynchronous finish function for `change_email_addresses`, called by ``folks_email_details_change_email_addresses()`` |
`get_email_addresses` () | getter method for the abstract property "email-addresses" |
`set_email_addresses` () | setter method for the abstract property "email-addresses" |